Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
pygaze._logfile.logfile.Logfile Class Reference
Inheritance diagram for pygaze._logfile.logfile.Logfile:

## Public Member Functions
| __init__ (self, filename=settings.LOGFILE)
| write (self, vallist)
| close (self)
Public Member Functions inherited from pygaze._logfile.baselogfile.BaseLogfile
| __init__ (self)

## Public Attributes
str | filename = filename + ".txt"
| logfile = open(self.filename, "w")

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze._logfile.logfile.Logfile.__init__ | ( |  | self,
|  |  | filename = settings.LOGFILE )

## Member Function Documentation

## ◆ close()

pygaze._logfile.logfile.Logfile.close | ( |  | self | ) |

            Closes logfile (do this after writing everything to the file!)

            arguments

            None

            keyword arguments

            None

            returns

            None        --  closes logfile; calling write method after calling
                        close method will result in an error!

Reimplemented from pygaze._logfile.baselogfile.BaseLogfile.

## ◆ write()

pygaze._logfile.logfile.Logfile.write | ( |  | self,
|  |  | vallist )

            Writes given values to logfile (each value separated with a tab)

            arguments

            vallist --  list of values to be written to logfile

            keyword arguments

            None

            returns

            None        --  writes each value to the logfile, adding tabs between
                        the values

Reimplemented from pygaze._logfile.baselogfile.BaseLogfile.

## Member Data Documentation

## ◆ filename

str pygaze._logfile.logfile.Logfile.filename = filename + ".txt"

## ◆ logfile

pygaze._logfile.logfile.Logfile.logfile = open(self.filename, "w")

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/_logfile/logfile.py